/**
 *   Tic-Tac-Toe game for two players
 *
 *   Georgy Gimel'farb 20.07.1998
 *   (last modified: 15.09.98)
 */

class TTTGame {
  static TTTBoard b = new TTTBoard();          // new static instance of TTTBoard

  public static void main( String [] args ) {
    int pl = 2, sq = 0;
    while ( true ) {
      if ( pl == 2 ) pl = 1; else pl = 2;          // toggle the players
      System.out.print("Player "+ pl + ":");
      while( true ) {
        System.out.print("  Enter box (1...9): ");
        sq = KeyboardInput.readInt() - 1;          // input a box number
        if( sq < 0 || sq > 8 ) System.exit(-1);    // if a wrong number then exit
        if( b.isEmpty( sq ) ) break;               // if this box is unmarked then go to marking
        System.out.println("  It's marked!");      // otherwise ask for a new input
      }
      if ( pl == 1 )                               // mark the chosen box 
        b.putX( sq ); 
      else 
        b.putO( sq );      
      System.out.print( b.toString());             // print the game board
      if ( b.hit() ) {                                // if a winning position then congratulate
        System.out.println("Player " + pl + " won!"); // the winner and exit; 
        System.exit(0); 
      }
      if ( b.noFree() ) {                             // otherwise state that nobody won and exit
        System.out.println("Nobody won..."); 
        System.exit(0); 
      }
    }              
  }
}

